Subject: [PATCH v2 05/12] Document: dt: binding: imx: update pinctrl doc for imx6sll

From: [email-masked] (Shawn Guo)
Date: Mon, 23 Jan 2017 14:04:57 +0800

On Wed, Jan 18, 2017 at 01:24:30PM +0100, Linus Walleij wrote:
> On Tue, Jan 17, 2017 at 7:35 AM, Jacky Bai <[email-masked]> wrote:
> >> Subject: Re: [PATCH v2 05/12] Document: dt: binding: imx: update pinctrl doc
> >> On Thu, Jan 12, 2017 at 3:57 AM, Jacky Bai <[email-masked]> wrote:
> >>
> >> > Another thing is that we can use a pins-tool program developed by NXP
> >> > to  generate the pinctrl configuration code that can be used directly
> >> > in dts. This tiny program can avoid pin function conflict. As on i.MX,
> >> > there are so may pins, each pin can be used for up 8  function.
> >> > Configuring the pins is a time-consuming work.  This tools is very useful for
> >> customer to generate the dts code.
> >>
> >> I understand, but every silicon vendor has such a tool, all are different,
> >> proprietary and unfriendly to programmers and open source developers, who
> >> need to understand how the hardware is working without magic tools and
> >> secret data sheets to fix bugs.
> >>
> >> For the people working with maintaining the code it is paramount that DTS files
> >> are self-descriptive.
> >
> > OK.  Thanks for your comments.  Adding generic-pinconf in imx pinctrl needs some time
> > to finish and the legacy method still need be here even if generic-pinconf is added.
> > Do you plan to pick this legacy binding patch for now?
> 
> As I said earlier:
> 
> > atleast I need an indication from one of the i.MX maintainers how they
> > want to proceed.

Sorry for being late for the discussion.

To be honest, I did not really expect so many i.MX6 variants coming to
us.  Just out of curiosity, are there any more in the pipeline to come,
or is this the last known one?

I understand that there are now more generic support available at
pinctrl core level for us to use than the time we initial designed i.MX
pinctrl driver.  But I intend to agree with Jacky that imx6sll can be
supported by the existing driver, since it doesn't require any
additional driver changes.

If any new generation of i.MX family require changes on the existing
pinctrl driver, we should probably push back for a redesign to use
generic support as much as possible.  @Jacky, how does i.MX8 pinctrl
look like?  How same or different as/from i.MX6 pinctrl?

Just my opinion.

Shawn